Valorant API Unofficial docs
API Reference Authentication Endpoints
POST

Entitlement

Get entitlement for remote requests with a token

Server entitlements.auth.riotgames.com Auth Bearer
POST https://entitlements.auth.riotgames.com/api/token/v1
Try this request in the browser with your own values

Headers

Content-Type string required
Value application/json
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

entitlements_token string